#include <bits/stdc++.h>
using namespace std;

int main() {
ios_base::sync_with_stdio(false);
cin.tie(NULL);


    long long x, y, n;
    cin >> x >> y;
    n = 0;
    long long i = 1;

    while (max(x, y)>0) {
        if (x % 10 == y % 10) {
            n = n + (x%10*10 + y%10)*i;
            i=10;
        }
        else if (x%10 > y%10) {
            n = n + (x%10)*i;
        }
        else if (x%10 < y%10) {
            n = n + (y%10)*i;
        }

        x = x/10;
        y = y/10;
        i=10;
    }
    cout << n;

return 0;
}